Locale::Po4a::Docbook(3pm)

NOME
Locale::Po4a::Docbook - converter documentos DocBook XML de/para ficheiros PO

DESCRIÇÃO
O objetivo do projeto po4a (PO para tudo) é facilitar traduções (e mais interessante, a manutenção das traduções) usando ferramentas gettext em áreas onde eles não eram esperados como documentação.

Locale::Po4a::Docbook é um módulo para ajudar a tradução de documentos DocBook XML em outras línguas [humana].

STATUS DESTE MÓDULO
Este módulo é totalmente funcional, uma vez que depende do módulo Locale::Po4a::Xml. Isso só define as etiquetas traduzíveis e atributos.

O único problema conhecido é que ele ainda não manipula entidades, e este inclui as entidades de inclusão de ficheiros , mas você pode traduzir a maioria destes ficheiros sozinho (exceto os ficheiros de entidades típicas), e é geralmente melhor mantê-los separados.

SUBSTITUIÇÃO DO COMPORTAMENTO PADRÃO COM AS OPÇÕES DE LINHA DE COMANDO
O comportamento padrão dos módulos fornecidos pelo sistema é configurado para estar no lado seguro.

Por exemplo, o padrão da tag <author> está apontando para aparecer em <para>. Mas você pode estar usando apenas em <bookinfo>. Para este caso, você pode querer traduzi-lo independentemente para cada autor.

Se você não gostar do comportamento padrão do módulo xml e seus módulos derivados, poderá fornecer opções de linha de comando para alterar seu comportamento. Por exemplo, você pode adicionar o seguinte ao ficheiro de configuração po4a:

  opt:"-k 0 -o nodefault=\"<bookinfo> <author>\" \
            -o break=\"<bookinfo> <author>\" \
            -o untranslated=\"<bookinfo>\" \
            -o translated=\"<author>\""

Isso substitui o comportamento padrão para <bookinfo> e <author>, define <bookinfo> e <author> para interromper o fluxo de dados de entrada nesses tags , define <bookinfo> para não traduzir seu conteúdo marcado e defina <author> para traduzir seu conteúdo marcado.

VER TAMBÉM
Locale::Po4a::TransTractor(3pm), Locale::Po4a::Xml(3pm), po4a(7)

AUTORES
 Jordi Vilalta <jvprat@gmail.com>

DIREITOS DE AUTOR E LICENÇA
 Copyright © 2004 Jordi Vilalta  <jvprat@gmail.com>
 Copyright © 2007-2009 Nicolas François <nicolas.francois@centraliens.net>

Este programa é software livre, você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (consulte o ficheiro CÓPIA).